Skip to navigation

Create Action Approval Rule

Creates an action approval rule.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the action approval rule is in. You can get your project ID from the API Credentials page in your global management console.

Request

This endpoint expects an object.
operationenumRequired
Action that requires approval under the rule.
Allowed values:
approvalWindowHoursintegerRequired1-168
Number of hours the request stays open for approval. If the approvals aren't received before the end of the window, the request expires.
executionWindowHoursintegerRequired1-168
Number of hours after approval the requester can execute the action. If the requester doesn't execute before the end of the window, the request expires.
requiredApprovalsintegerOptional>=1Defaults to 1
Number of approvals required before the action can be executed.
descriptionstringOptional
Description explaining the purpose of the rule.
resourceSelectorobjectOptional
Selector determining which resources the rule applies to.
approverIdpIdstringOptionalformat: "uuid"

Eon-assigned ID of the identity provider the approver’s SAML group belongs to. Used in combination with approverProviderGroupId.

approverProviderGroupIdstringOptional

Identity-provider-assigned ID of the approver group. Used in combination with approverIdpId.

exemptApiCredentialsbooleanOptional

Whether API clients bypass the rule or are bound by it.

When true, API clients bypass the rule and don’t require approval to perform the action. When false, API clients are bound like any other user and must get the required approvals.

Response

Action approval rule created.
actionApprovalRuleobject
Created action approval rule.

Errors

400
Bad Request Error